Next: TIME8, Previous: THIS_IMAGE, Up: Intrinsic Procedures

### 8.242 `TIME` — Time function

Description:
  Returns the current time encoded as an integer (in the manner of the function `time(3)` in the C standard library). This value is suitable for passing to `CTIME`, `GMTIME`, and `LTIME`.

  This intrinsic is not fully portable, such as to systems with 32-bit `INTEGER` types but supporting times wider than 32 bits. Therefore, the values returned by this intrinsic might be, or become, negative, or numerically less than previous values, during a single run of the compiled program.

  See TIME8, for information on a similar intrinsic that might be portable to more GNU Fortran implementations, though to fewer Fortran compilers.

Standard:
  GNU extension
Class:
  Function
Syntax:
  `RESULT = TIME()`
Return value:
  The return value is a scalar of type `INTEGER(4)`.
See also:
  CTIME, GMTIME, LTIME, MCLOCK, TIME8